Bug 29491 - Improve display of notices in patron details
Summary: Improve display of notices in patron details
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Notices (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-16 10:30 UTC by Martin Renvoize
Modified: 2022-01-14 14:22 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
In patron notices table, notices are now shown in a modal dialog instead of inline in the table. The "Resend" button is shown in the modal window controls.
Version(s) released in:
22.05.00


Attachments
Bug 29491: Improve display of notices in patron details (7.78 KB, patch)
2021-11-17 16:51 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29491: (preparatory step) Reindent template (13.11 KB, patch)
2021-11-17 17:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29491: Improve display of notices in patron details (7.78 KB, patch)
2021-11-17 17:04 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29491: (preparatory step) Reindent template (13.17 KB, patch)
2021-11-18 08:31 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29491: Improve display of notices in patron details (7.84 KB, patch)
2021-11-18 08:31 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29491: (preparatory step) Reindent template (13.25 KB, patch)
2021-12-13 14:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29491: Improve display of notices in patron details (7.92 KB, patch)
2021-12-13 14:31 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2021-11-16 10:30:25 UTC
The display of notices in a patrons record could be improved.. the display box seems to be unnecessarily narrow and I can't tell if HTML formatting is being fully applied.
Comment 1 Barbara Johnson 2021-11-16 18:54:20 UTC
Increasing the width of the display box would be helpful.
Comment 2 Owen Leonard 2021-11-17 16:51:12 UTC
Created attachment 127740 [details] [review]
Bug 29491: Improve display of notices in patron details

This patch updates the patron notices list so that notices are shown in
a modal dialog instead of inline in the table. The "Resend" button is
shown in the modal window controls.

To test, apply the patch and locate a patron in the staff interface with
multiple sent notices.

- View the patron's "Notices" tab.
- In the table of notices, click one of the notice titles.
- A modal window should appear with the notice subject as the header
  and the notice content in the main body of the modal.
  - If the message has any other status than 'pending' there should be a
    "Resend" button in the modal footer. Confirm that it submits the
    form and resends the correct message.
  - Try viewing multiple notices to confirm that the contents of the
    modal are correctly updated for each message.
Comment 3 Martin Renvoize 2021-11-17 16:53:45 UTC
Sorry Owen.. I get sha1 issues trying to apply this patch :(
Comment 4 Owen Leonard 2021-11-17 17:04:15 UTC
Created attachment 127741 [details] [review]
Bug 29491: (preparatory step) Reindent template

Step 1: Replace tabs with spaces and reindent. This patch should include
only whitespace changes. If you view the diff while ignoring whitespace
there should be no changes.
Comment 5 Owen Leonard 2021-11-17 17:04:18 UTC
Created attachment 127742 [details] [review]
Bug 29491: Improve display of notices in patron details

This patch updates the patron notices list so that notices are shown in
a modal dialog instead of inline in the table. The "Resend" button is
shown in the modal window controls.

To test, apply the patch and locate a patron in the staff interface with
multiple sent notices.

- View the patron's "Notices" tab.
- In the table of notices, click one of the notice titles.
- A modal window should appear with the notice subject as the header
  and the notice content in the main body of the modal.
  - If the message has any other status than 'pending' there should be a
    "Resend" button in the modal footer. Confirm that it submits the
    form and resends the correct message.
  - Try viewing multiple notices to confirm that the contents of the
    modal are correctly updated for each message.
Comment 6 Martin Renvoize 2021-11-18 08:31:30 UTC
Created attachment 127775 [details] [review]
Bug 29491: (preparatory step) Reindent template

Step 1: Replace tabs with spaces and reindent. This patch should include
only whitespace changes. If you view the diff while ignoring whitespace
there should be no changes.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2021-11-18 08:31:33 UTC
Created attachment 127776 [details] [review]
Bug 29491: Improve display of notices in patron details

This patch updates the patron notices list so that notices are shown in
a modal dialog instead of inline in the table. The "Resend" button is
shown in the modal window controls.

To test, apply the patch and locate a patron in the staff interface with
multiple sent notices.

- View the patron's "Notices" tab.
- In the table of notices, click one of the notice titles.
- A modal window should appear with the notice subject as the header
  and the notice content in the main body of the modal.
  - If the message has any other status than 'pending' there should be a
    "Resend" button in the modal footer. Confirm that it submits the
    form and resends the correct message.
  - Try viewing multiple notices to confirm that the contents of the
    modal are correctly updated for each message.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Martin Renvoize 2021-11-18 08:32:00 UTC
This is an excellent improvement, thanks Owen!

Signing off
Comment 9 Jonathan Druart 2021-12-13 14:31:36 UTC
Created attachment 128468 [details] [review]
Bug 29491: (preparatory step) Reindent template

Step 1: Replace tabs with spaces and reindent. This patch should include
only whitespace changes. If you view the diff while ignoring whitespace
there should be no changes.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Jonathan Druart 2021-12-13 14:31:40 UTC
Created attachment 128469 [details] [review]
Bug 29491: Improve display of notices in patron details

This patch updates the patron notices list so that notices are shown in
a modal dialog instead of inline in the table. The "Resend" button is
shown in the modal window controls.

To test, apply the patch and locate a patron in the staff interface with
multiple sent notices.

- View the patron's "Notices" tab.
- In the table of notices, click one of the notice titles.
- A modal window should appear with the notice subject as the header
  and the notice content in the main body of the modal.
  - If the message has any other status than 'pending' there should be a
    "Resend" button in the modal footer. Confirm that it submits the
    form and resends the correct message.
  - Try viewing multiple notices to confirm that the contents of the
    modal are correctly updated for each message.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Fridolin Somers 2022-01-14 02:38:26 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄